### Hierarchy

- FaceLandmark68NetBase<FaceFeatureExtractorParams>
  - FaceLandmark68Net
    - FaceLandmarkNet

## Index

### Constructors

- constructor

### Properties

- _name

### Accessors

- faceFeatureExtractor
- isLoaded
- paramMappings
- params

### Methods

- detectLandmarks
- dispose
- extractClassifierParams
- extractWeights
- forward
- forwardInput
- freeze
- getFrozenParams
- getParamFromPath
- getParamList
- getTrainableParams
- load
- loadClassifierParams
- loadFromDisk
- loadFromUri
- loadFromWeightMap
- postProcess
- reassignParamFromPath
- runNet
- serializeParams
- variable

## Constructors

### constructor

- new FaceLandmark68Net(faceFeatureExtractor?: FaceFeatureExtractor): FaceLandmark68Net

- Overrides FaceLandmark68NetBase<FaceFeatureExtractorParams>.constructor

  - Defined in faceLandmarkNet/FaceLandmark68Net.ts:6

  #### Parameters

  - ##### faceFeatureExtractor: FaceFeatureExtractor = ...

  #### Returns FaceLandmark68Net

## Properties

### _name

_name: any

Inherited from FaceLandmark68NetBase._name

- Defined in NeuralNetwork.ts:17

## Accessors

### faceFeatureExtractor

- get faceFeatureExtractor(): IFaceFeatureExtractor<TExtractorParams>

- - Defined in faceProcessor/FaceProcessor.ts:23

  #### Returns IFaceFeatureExtractor<TExtractorParams>

### isLoaded

- get isLoaded(): boolean

- - Defined in NeuralNetwork.ts:23

  #### Returns boolean

### paramMappings

- get paramMappings(): ParamMapping[]

- - Defined in NeuralNetwork.ts:21

  #### Returns ParamMapping[]

### params

- get params(): undefined | TNetParams

- - Defined in NeuralNetwork.ts:19

  #### Returns undefined | TNetParams

## Methods

### detectLandmarks

- detectLandmarks(input: any): Promise<FaceLandmarks68 | FaceLandmarks68[]>

- Inherited from FaceLandmark68NetBase.detectLandmarks

  - Defined in faceLandmarkNet/FaceLandmark68NetBase.ts:67

  #### Parameters

  - ##### input: any

  #### Returns Promise<FaceLandmarks68 | FaceLandmarks68[]>

### dispose

- dispose(throwOnRedispose?: boolean): void

- Inherited from FaceLandmark68NetBase.dispose

  - Defined in faceProcessor/FaceProcessor.ts:48

  #### Parameters

  - ##### throwOnRedispose: boolean = true

  #### Returns void

### extractClassifierParams

- extractClassifierParams(weights: Float32Array): { paramMappings: ParamMapping[]; params: NetParams }

- Inherited from FaceLandmark68NetBase.extractClassifierParams

  - Defined in faceProcessor/FaceProcessor.ts:59

  #### Parameters

  - ##### weights: Float32Array

  #### Returns { paramMappings: ParamMapping[]; params: NetParams }

  - ##### paramMappings: ParamMapping[]

  - ##### params: NetParams

### extractWeights

- extractWeights(weights: Float32Array): void

- Inherited from FaceLandmark68NetBase.extractWeights

  - Defined in NeuralNetwork.ts:118

  #### Parameters

  - ##### weights: Float32Array

  #### Returns void

### forward

- forward(input: any): Promise<any>

- Inherited from FaceLandmark68NetBase.forward

  - Defined in faceLandmarkNet/FaceLandmark68NetBase.ts:63

  #### Parameters

  - ##### input: any

  #### Returns Promise<any>

### forwardInput

- forwardInput(input: NetInput): any

- Inherited from FaceLandmark68NetBase.forwardInput

  - Defined in faceLandmarkNet/FaceLandmark68NetBase.ts:52

  #### Parameters

  - ##### input: NetInput

  #### Returns any

### freeze

- freeze(): void

- Inherited from FaceLandmark68NetBase.freeze

  - Defined in NeuralNetwork.ts:57

  #### Returns void

### getFrozenParams

- getFrozenParams(): { path: string; tensor: any }[]

- Inherited from FaceLandmark68NetBase.getFrozenParams

  - Defined in NeuralNetwork.ts:47

  #### Returns { path: string; tensor: any }[]

### getParamFromPath

- getParamFromPath(paramPath: string): any

- Inherited from FaceLandmark68NetBase.getParamFromPath

  - Defined in NeuralNetwork.ts:25

  #### Parameters

  - ##### paramPath: string

  #### Returns any

### getParamList

- getParamList(): { path: string; tensor: any }[]

- Inherited from FaceLandmark68NetBase.getParamList

  - Defined in NeuralNetwork.ts:36

  #### Returns { path: string; tensor: any }[]

### getTrainableParams

- getTrainableParams(): { path: string; tensor: any }[]

- Inherited from FaceLandmark68NetBase.getTrainableParams

  - Defined in NeuralNetwork.ts:43

  #### Returns { path: string; tensor: any }[]

### load

- load(weightsOrUrl: undefined | string | Float32Array): Promise<void>

- Inherited from FaceLandmark68NetBase.load

  - Defined in NeuralNetwork.ts:83

  #### Parameters

  - ##### weightsOrUrl: undefined | string | Float32Array

  #### Returns Promise<void>

### loadClassifierParams

- loadClassifierParams(weights: Float32Array): void

- Inherited from FaceLandmark68NetBase.loadClassifierParams

  - Defined in faceProcessor/FaceProcessor.ts:53

  #### Parameters

  - ##### weights: Float32Array

  #### Returns void

### loadFromDisk

- loadFromDisk(filePath: undefined | string): Promise<void>

- Inherited from FaceLandmark68NetBase.loadFromDisk

  - Defined in NeuralNetwork.ts:99

  #### Parameters

  - ##### filePath: undefined | string

  #### Returns Promise<void>

### loadFromUri

- loadFromUri(uri: undefined | string): Promise<void>

- Inherited from FaceLandmark68NetBase.loadFromUri

  - Defined in NeuralNetwork.ts:91

  #### Parameters

  - ##### uri: undefined | string

  #### Returns Promise<void>

### loadFromWeightMap

- loadFromWeightMap(weightMap: any): void

- Inherited from FaceLandmark68NetBase.loadFromWeightMap

  - Defined in NeuralNetwork.ts:112

  #### Parameters

  - ##### weightMap: any

  #### Returns void

### postProcess

- postProcess(output: any, inputSize: number, originalDimensions: IDimensions[]): any

- Inherited from FaceLandmark68NetBase.postProcess

  - Defined in faceLandmarkNet/FaceLandmark68NetBase.ts:14

  #### Parameters

  - ##### output: any

  - ##### inputSize: number

  - ##### originalDimensions: IDimensions[]

  #### Returns any

### reassignParamFromPath

- reassignParamFromPath(paramPath: string, tensor: any): void

- Inherited from FaceLandmark68NetBase.reassignParamFromPath

  - Defined in NeuralNetwork.ts:30

  #### Parameters

  - ##### paramPath: string

  - ##### tensor: any

  #### Returns void

### runNet

- runNet(input: any): any

- Inherited from FaceLandmark68NetBase.runNet

  - Defined in faceProcessor/FaceProcessor.ts:33

  #### Parameters

  - ##### input: any

  #### Returns any

### serializeParams

- serializeParams(): Float32Array

- Inherited from FaceLandmark68NetBase.serializeParams

  - Defined in NeuralNetwork.ts:75

  #### Returns Float32Array

### variable

- variable(): void

- Inherited from FaceLandmark68NetBase.variable

  - Defined in NeuralNetwork.ts:51

  #### Returns void